Ravens PHP Scripts: Forums
 

 

View next topic
View previous topic
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    Ravens PHP Scripts And Web Hosting Forum Index -> NukeSentinel™ v2.4.x
Author Message
myrtletrees
Involved
Involved


Joined: Sep 13, 2005
Posts: 259
Location: Cornfields of Indiana

PostPosted: Mon Mar 20, 2006 2:57 pm Reply with quote

Running Nuke 7.6 patch 3.2 (there is NO specified version of Sentinel)

I have been fighting with the Nuke Sentinel installation for a few hours now and I'm about ready to snap!

First of all, I have found NO documentation on what version of Sentinel to use with what version of Nuke. Nuke version this, patch version that, script this...there's so many possible versions of Nuke, it is ridiculous. I scoured the downloads section here at ravens and it is very di-organized IMO.

So, insterad of going thur this site's downloads, I went to the source, nukescripts and found a version that simply says NukeSentinel™ 2.4.2pl4 70-79 ...which I installed.

The mainfile.php instructions for changing code are no way near what I have in my mainfile.php.

This code:
Code:
if (defined('FORUM_ADMIN')) {

   @require_once("../../../config.php");
   @require_once("../../../db/db.php");
   @require_once("../../../includes/sql_layer.php");
   if (file_exists("../../../includes/custom_files/custom_mainfile.php")) { @include_once("../../../includes/custom_files/custom_mainfile.php"); }
   @require_once("../../../includes/ipban.php");
   if (defined('NUKE_HEADER') && file_exists("../../../includes/custom_files/custom_head.php")) { @include_once("../../../includes/custom_files/custom_head.php"); }
   if (defined('NUKE_HEADER') && file_exists("../../../includes/custom_files/custom_header.php")) { @include_once("../../../includes/custom_files/custom_header.php"); }
} elseif (defined('INSIDE_MOD')) {
   @require_once("../../config.php");
   @require_once("../../db/db.php");
   @require_once("../../includes/sql_layer.php");
   if (file_exists("../../includes/custom_files/custom_mainfile.php")) { @include_once("../../includes/custom_files/custom_mainfile.php"); }
   @require_once("../../includes/ipban.php");
   if (defined('NUKE_HEADER') && file_exists("../../includes/custom_files/custom_head.php")) { @include_once("../../includes/custom_files/custom_head.php"); }
   if (defined('NUKE_HEADER') && file_exists("../../includes/custom_files/custom_header.php")) { @include_once("../../includes/custom_files/custom_header.php"); }
} else {
   @require_once("config.php");
   @require_once("db/db.php");
   @require_once("includes/sql_layer.php");
   if (file_exists("includes/custom_files/custom_mainfile.php")) { @include_once("includes/custom_files/custom_mainfile.php"); }
   @require_once("includes/ipban.php");
   if (defined('NUKE_HEADER') && file_exists("includes/custom_files/custom_head.php")) { @include_once("includes/custom_files/custom_head.php"); }
   if (defined('NUKE_HEADER') && file_exists("includes/custom_files/custom_header.php")) { @include_once("includes/custom_files/custom_header.php"); }
}


Does not even exist in my Nuke 7.8/3.2 patched mainfile.php.

Neither does this code:
Code:
$queryString = strtolower($_SERVER['QUERY_STRING']);

if (stripos_clone($queryString,'%20union%20') OR stripos_clone($queryString,'/*') OR stripos_clone($queryString,'*/union/*') OR stripos_clone($queryString,'c2nyaxb0')) {
header("Location: index.php");
die();


both of which require changes by sentinel to be installed correctly.
It's obvious, that my mainfile.php is not setup correctly, regardless, I am not an idiot, but the installation instructions included with Nuke sentinel are in NO way user-friendly.

I'd appreciate some help if I haven't already ranted enough to T most of you off.
 
View user's profile Send private message
kguske
Site Admin


Joined: Jun 04, 2004
Posts: 6383

PostPosted: Mon Mar 20, 2006 4:40 pm Reply with quote

I understand your frustration, but I have to ask: where did you look for information?

Generally, the documentation in the readme and included installation docs are sufficient. If not, there is additional documentation in the Only registered users can see links on this board! Get registered or login!.

The download pretty clearly specifies which versions of PHP-Nuke with what versions of NukeSentinel. The developers of NukeSentinel clearly have no way to control the number of versions of Nuke, nor of the patches. Generally, it's best to use the latest patch and the latest version of NukeSentinel. Unfortunately, it's NOT always best to use the latest version of PHP-Nuke.

There were multiple versions of the 3.1 patch, which caused confusion on the mainfile installation. This was documented in a news article, forum postings or both here at RavenPHPScripts. This should be sufficient for a 7.8 / 3.2 patch, but, as is also heavily documented here, there are serious security issues that even NukeSentinel cannot protect in versions 7.7 and higher.

So, the problem isn't that the installation instructions aren't user-friendly (which is subjective term), it's that changes were made after NukeSentinel was released that conflict with the installation instructions.

If this is a new installation, I would highly recommend using a package like RavenNuke, which has already been patched and already includes NukeSentinel and many other important and commonly used addons.

_________________
I google, therefore I exist...
Only registered users can see links on this board! Get registered or login!
 
View user's profile Send private message
Display posts from previous:       
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    Ravens PHP Scripts And Web Hosting Forum Index -> NukeSentinel™ v2.4.x

View next topic
View previous topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum


Powered by phpBB © 2001-2007 phpBB Group
All times are GMT - 6 Hours
 
Forums ©